Skip to content

Dispute Transaction

Report an issue with a successfully completed transaction. This creates a support case within the IIMMPACT system, which is then managed through AI-driven resolution or escalated to human support.

TIP

For a walkthrough of the AI-powered support process, see the Report Issue Guide.

DANGER

AI-powered intelligence and automation are only active in production. Staging can simulate API responses for testing but won't trigger automated workflows or send email replies.

WARNING

Only use this API for transactions with a Succesful status. This is not intended for failed or pending transactions.

API Endpoint

http
POST https://api.iimmpact.com/v2/transactions/check

Request Headers

HeaderDescriptionRequired
X-Api-KeyYour API keyYes
X-TimestampUnix timestamp in secondsYes
X-NonceUnique request identifierYes
X-SignatureHMAC-SHA256 signature (v1=...)Yes

See API Key Authentication for how to sign your requests.

Request Body

ParameterTypeRequiredDescription
refidstringNoYour unique reference ID used when calling the Make Payment endpoint. Provide either refid or trxid
trxidstringNoInternal IIMMPACT transaction ID. Alternative to refid — provide one or the other
user_emailarrayNoArray of email addresses to include. Pass the end-user's email and any other addresses to CC

INFO

At least one of refid or trxid must be provided. If both are supplied, trxid takes precedence.

Response 200

FieldTypeDescription
dataobjectResult
data.refidstringThe reference ID of the transaction
data.statusstringSuccess or Failed
data.messagestringDescription of the outcome

Example Response (Success — case created):

json
{
  "data": {
    "refid": "123456",
    "status": "Success",
    "message": "We've received your request for a status update and are in the midst of checking with the relevant service provider. We'll keep you updated on the status of your request via email."
  }
}

Example Response (Failed — duplicate request):

json
{
  "data": {
    "refid": "123456",
    "status": "Failed",
    "message": "Sorry, a support request has already been created for this transaction. We're working on it and will provide an update shortly."
  }
}

Example Response (Failed — transaction already refunded):

json
{
  "data": {
    "refid": "12345678ABCd",
    "status": "Failed",
    "message": "Sorry, Report Issue is not available for failed transactions as the transaction has been automatically refunded. Please contact us at support@iimmpact.com if you need further assistance."
  }
}

Response 400

FieldTypeDescription
messagestringError description
errorsobjectValidation errors
errors.trxidarrayTransaction ID validation errors. Always keyed as trxid, even if you provided refid in the request

Example Response:

json
{
  "message": "The given data was invalid.",
  "errors": {
    "trxid": [
      "Invalid transaction ID or reference ID"
    ]
  }
}

Email Notifications

The registered email address of the initiating API account is always CC'd on all email correspondence sent to the end-user regarding the reported issue.

IIMMPACT API Documentation